开发者社区> 问答> 正文

关于IOS升级到7.1之后报错

升级到最新xcode后 运行就报这个错误

 SDKs/iPhoneOS9.1.sdk/System/Library/Frameworks/CoreImage.framework/Headers/CIImage.h:183:49: Type arguments cannot be applied to non-parameterized class 'NSDictionary'
SDKs/iPhoneOS9.1.sdk/System/Library/Frameworks/CoreImage.framework/Headers/CIImage.h:333:4: Type arguments cannot be applied to non-parameterized class 'NSArray'

展开
收起
爵霸 2016-03-09 15:59:51 3326 0
1 条回答
写回答
取消 提交回答
  • 这是最新Xcode版本升级到7.1以后,你原来项目框架报错的信息吧,需要具体点

    这也是xcode 7类型参数不能用于non-parameterized类的一个类似的问题,需要具体看情况

    2019-07-17 18:56:21
    赞同 展开评论 打赏
问答分类:
问答地址:
相关产品:
问答排行榜
最热
最新

相关电子书

更多
手淘iOS性能优化探索 立即下载
From Java/Android to Swift iOS 立即下载
深入剖析iOS性能优化 立即下载